package com.bwie.common.domain;

import com.alibaba.nacos.shaded.org.checkerframework.checker.units.qual.A;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("car")
public class Car {
    @TableId(value = "car_id",type = IdType.AUTO)
    private Long carId;
    @TableField(value = "goods_id")
    private Long goodsId;
    @TableField(value = "user_id")
    private Long userId;
    @TableField(value = "goods_num")
    private Integer goodsNum;



}
