package com.bwie.common.remote.user;

import com.bwie.common.constant.ServerNameConstants;
import com.bwie.common.domain.User;
import com.bwie.common.remote.user.factory.UserRemoteFactory;
import com.bwie.common.result.Result;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(
        name = ServerNameConstants.SYSTEM_NAME,
        fallbackFactory = UserRemoteFactory.class
)
public interface UserRemoteService {

    @PostMapping("findtel")
    public Result<User> findtel(@RequestParam String userTel);


}
