package com.bwie.car;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

@SpringBootApplication
@EnableDiscoveryClient
@MapperScan("com.bwie.car.mapper")
@EnableFeignClients(basePackages = "com.bwie.**")
public class CarApp {
    public static void main(String[] args) {
        SpringApplication.run(CarApp.class);
    }
}
