package com.bwie.es.controller;

import cn.hutool.core.util.RandomUtil;
import com.bwie.common.domain.Goods;
import com.bwie.common.domain.request.GoodsReq;
import com.bwie.common.result.Result;
import com.bwie.es.service.EsService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.PostConstruct;
import java.util.ArrayList;
import java.util.List;

@RestController
@ResponseBody
public class EsController {
    private final EsService esService;

    public EsController(EsService esService) {
        this.esService = esService;
    }


    @PostMapping("addgoods")
    public Result addgoods(@RequestBody Goods gg){
        String s = RandomUtil.randomNumbers(7);
        gg.setGoodsHao(s);
        gg.setGoodsSync(2);
        esService.save(gg);
        ArrayList<Goods> goods = new ArrayList<>();
        goods.add(gg);
        esService.BatchAdd(goods);
        return Result.success();
    }

    @PostMapping("show")
    public Result show(@RequestBody GoodsReq req){
        List<Goods> show = esService.show(req);
        return Result.success(show);
    }
}
