package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("goods")
public class Goods {
    /**
     * 主键id
     */
    @TableId(value = "goods_id",type = IdType.AUTO)
    private Long goodsId;
    //商品编码
    @TableField(value = "goods_hao")
    private String goodsHao;
    @TableField(value = "goods_name")
    private String goodsName;
    @TableField(value = "goods_brand")
    private String goodsBrand;
    @TableField(value = "goods_intr")
    private String goodsIntr;
    @TableField(value = "goods_price")
    private Integer goodsPrice;
    @TableField(value = "goods_xin")
    private Integer goodsXin;
    @TableField(value = "goods_bao")
    private Integer goodsBao;
    @TableField(value = "goods_sync")
    private Integer goodsSync;











}
