package com.bwie.common.remote.ord;

import com.bwie.common.constant.ServerNameConstants;
import com.bwie.common.domain.request.Pay;
import com.bwie.common.remote.ord.factory.OrdRemoteFactory;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(
        name = ServerNameConstants.Ord_NAME,
        fallbackFactory = OrdRemoteFactory.class
)
public interface OrdRemoteService{


    @PostMapping("addord")
    public Result addord(@RequestBody Pay pay);
}
