package com.bwie.system.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.system.service.SysService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@ResponseBody
public class SysController {
    private final SysService service;

    public SysController(SysService service) {
        this.service = service;
    }

    @PostMapping("findtel")
    public Result<User> findtel(@RequestParam String userTel){
        User findtel = service.findtel(userTel);
        return Result.success(findtel);
    }
}
