package com.bwie.system.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.common.domain.User;
import com.bwie.system.mapper.SysMapper;
import org.springframework.stereotype.Service;

@Service
public class SysServiceImpl extends ServiceImpl<SysMapper, User> implements SysService{
    private final SysMapper sysMapper;

    public SysServiceImpl(SysMapper sysMapper) {
        this.sysMapper = sysMapper;
    }

    @Override
    public User findtel(String userTel) {
        LambdaQueryWrapper<User> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(User::getUserTel,userTel);
        User user = sysMapper.selectOne(queryWrapper);
        return user;
    }
}
